﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500/600/700 Self-Test IEEE
INSTRUMENT:            Sub TDS500/600/700 Sig Path Comp Cal IEEE
INSTRUMENT:            Sub TDS500/600/700 Select Channel IEEE
DATE:                  2009-12-04 08:25:46
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       159
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds500_600_700_utils_ieee.txt,v $
#    $Date: 2009/10/14 15:04:20 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 520, TDS 540
#        TDS 500A
#          TDS 510A, TDS 520A, TDS 524A, TDS 540A, TDS 544A
#        TDS 500B
#          TDS 520B, TDS 540B
#        TDS 500C
#          TDS 520C, TDS 540C
#        TDS 500D
#          TDS 520D, TDS 540D, TDS 580D
#        TDS 600A
#          TDS 620A, TDS 640A, TDS 644A, TDS 684A
#        TDS 600B
#          TDS 620B, TDS 644B, TDS 680B, TDS 684B
#        TDS 600C
#          TDS 654C, TDS 680C, TDS 684C, TDS 694C
#        TDS 700A
#          TDS 724A, TDS 744A, TDS 754A, TDS 782A, TDS 784A
#        TDS 700C
#          TDS 724C, TDS 754C, TDS 784C
#        TDS 700D
#          TDS 724D, TDS 754D, TDS 784D, TDS 794D
#        TDS 714L
#          TDS 714L
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         SIGNAL_PATH_COMPENSATION     PSUBI("Sig Path Comp")
  1.003  JMPL         SELECT_CHANNEL               PSUBI("Select Channel")
  1.004  DISP         Undefined subprocedure!
  1.005  END

  1.006  EVAL   Increment step number

#******************************* Self-Test ***********************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  TARGET
# Inform technician of what to expect during self-test
  2.005  DISP         Remove all input signals.
  2.005  DISP
  2.005  DISP         During the self-test, the UUT display will flash
  2.005  DISP         and display multiple-line patterns at times. This
  2.005  DISP         is normal behavior.
# Send commands to start the self-test
  2.006  IEEE2        DIA:SEL:ALL ALL
# Disable UUTs SRQs in case they were enabled by a previous IEEE2 FSC.
  2.007  IEEE         *SRE 0;DIA:STATE EXEC
  2.008  WAIT         -t [V @SelfTestTime] Self Test being performed...
# Return result of diagnostics
  2.009  IEEE2        [T120000]DIA:RESU:FLA?[I$]
# Self Test evaluation
  2.010  EVAL   -e FIND(MEM2, "PASS", 1) : SELF TEST
# Reset instrument state in case of failure
  3.001  IEEE2        *RST;CLEARMENU

  3.002  MATH         @Abort = FAIL()
  3.003  END

  3.004  EVAL   Increment step number

#**************** Signal Path Compensation Calibration **********************

  4.001  LABEL        SIGNAL_PATH_COMPENSATION
# Ask the operator if they want to run the test.  It is not necessary to run
# this test again if already ran and the temperature is constant.
  4.002  OPBR         -z It is recommended that a Signal Path Compensation
  4.002  OPBR         Test be performed before running the performance Test.
  4.002  OPBR         It is only necessary to run this test one time.
  4.002  OPBR
  4.002  OPBR         Do you want to run the Signal Path Compensation Test?

  4.003  IF           MEM1
  4.004  RSLT         =
  4.005  HEAD         SIGNAL PATH COMPENSATION
  4.006  DISP         Remove all connections from the UUT.
# Disable UUTs SRQs in case they were enabled by a previous IEEE2 FSC.
  4.007  IEEE         *SRE 0;*CAL?
  4.008  MEM2         =Signal Path Compensation being performed...
  4.009  WAIT         -t [V @SPCTime] [MEM2]
  4.010  HEAD         SIGNAL PATH COMPENSATION COMPLETE
  4.011  IEEE         [T300000][I$]
  4.012  EVAL   -e FIND(MEM2, "0", 1) : SIGNAL PATH COMPENSATION
  5.001  IEEE2        CLEARMENU
  5.002  MATH         @Abort = FAIL()
  5.003  ENDIF

  5.004  END

  5.005  EVAL   Increment step number

#*************************** Select Channel IEEE ****************************

  6.001  LABEL        SELECT_CHANNEL
  6.002  IEEE2        *RST;HEADER OFF;CLEARMENU

# Specify channel being tested.
  6.003  IF           @Chan == 1
  6.004  IEEE2        SELECT:CH1 ON;CH2 OFF;CH3 OFF;CH4 OFF
  6.005  ELSEIF       @Chan == 2
  6.006  IEEE2        SELECT:CH1 OFF;CH2 ON;CH3 OFF;CH4 OFF
  6.007  ELSEIF       @Chan == 3
  6.008  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 ON;CH4 OFF
  6.009  ELSE
  6.010  IEEE2        SELECT:CH1 OFF;CH2 OFF;CH3 OFF;CH4 ON
  6.011  ENDIF

  6.012  END


